HTMLScanner.SpecialScanner (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html

## Class HTMLScanner.SpecialScanner

- java.lang.Object
- - org.cyberneko.html.HTMLScanner.SpecialScanner

- All Implemented Interfaces:
    HTMLScanner.Scanner
  Enclosing class:
    HTMLScanner

      public class HTMLScanner.SpecialScanner
      extends java.lang.Object
      implements HTMLScanner.Scanner

  Special scanner used for elements whose content needs to be scanned as plain text, ignoring markup such as elements and entity references. For example: <SCRIPT> and <COMMENT>.
  Author:
    Andy Clark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fElementName` Name of element whose content needs to be scanned as text.
    `protected boolean` | `fStyle` True if <style> element.
    `protected boolean` | `fTextarea` True if <textarea> element.
    `protected boolean` | `fTitle` True if <title> element.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLScanner.SpecialScanner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `scan(boolean complete)` Scan.
    `protected void` | `scanCharacters(XMLStringBuffer buffer, int delimiter)` Scan characters.
    `HTMLScanner.Scanner` | `setElementName(java.lang.String ename)` Sets the element name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fElementName

          protected java.lang.String fElementName

      Name of element whose content needs to be scanned as text.

    - #### fStyle

          protected boolean fStyle

      True if <style> element.

    - #### fTextarea

          protected boolean fTextarea

      True if <textarea> element.

    - #### fTitle

          protected boolean fTitle

      True if <title> element.

  - ### Constructor Detail

    - #### HTMLScanner.SpecialScanner

          public HTMLScanner.SpecialScanner()

  - ### Method Detail

    - #### setElementName

          public HTMLScanner.Scanner setElementName(java.lang.String ename)

      Sets the element name.

    - #### scan

          public boolean scan(boolean complete)
                       throws java.io.IOException

      Scan.
      Specified by:
        `scan` in interface `HTMLScanner.Scanner`
      Parameters:
        `complete` - True if the scanner should not return until scanning is complete.
      Returns:
        True if additional scanning is required.
      Throws:
        `java.io.IOException` - Thrown if I/O error occurs.

    - #### scanCharacters

          protected void scanCharacters(XMLStringBuffer buffer,
                            int delimiter)
                                 throws java.io.IOException

      Scan characters.
      Throws:
        `java.io.IOException`

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.